Bug 75987 - The "Kernel Modules" chapter lists files that do not exist.
The "Kernel Modules" chapter lists files that do not exist.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 12:09 EDT by Mark Harig
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-15 12:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Harig 2002-10-15 12:09:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
On page 233, in Chapter 30 Kernel Modules, the following two files are listed:

   /usr/src/linux-2.4/Documentation/kmod.txt
   /usr/src/linux-2.4/Documentation/modules.txt

These files do not exist on my installation of RH Linux 8.0 ('Workstation'
configuration selected during installation). In fact, there is no
/usr/src/linux-2.4/ directory.  


Version-Release number of selected component (if applicable):

The manual's identifier on page xi is:

rhl-cg(EN)-8.0-Print-RHI (2002-08-14T17:28-0400)


How reproducible:
Always

Steps to Reproduce:
1.See page 233 of the RH Linux 8.0 Customization Guide.
2.Attempt to find the files listed on that page.

	

Additional info:

I would have expected that these files would have been installed in the standard
directory for package documentation, that is, /usr/share/doc/, possibly as part
of the 'kernel' rpm package.

   # rpm -qd kernel

gives an empty list.
Comment 1 Tammy Fox 2002-10-15 12:32:45 EDT
kmod has been removed from the kernel. I have corrected this in CVS for the next
version. Thanks for your report.
Comment 2 Mark Harig 2002-10-15 14:29:40 EDT
At the beginning of Chapter 30 "Kernel Modules", on page 231, the second and 
third paragraphs make references to 'kmod'.  If these paragraphs have not been 
deleted, then, in light of what you wrote about 'kmod', they should be reviewed 
and considered for possible deletion or updating.  Similarly, the index entry 
for 'kmod' on page 274 might need to be deleted, if that is not done 
automatically.
Comment 3 Tammy Fox 2002-10-15 14:42:36 EDT
I removed all references to kmod in the entire chapter as well as the
index term that generated the index entry.
Comment 4 Mark Harig 2002-10-15 15:12:27 EDT
FYI, here's part of what started my looking at kernel modules.  This error
message is generated during boot-up and is listed in /var/log/dmesg:

kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2

Why there is a reference to 'kmod' if there is no 'kmod' is a mystery.

Of course, this is not an error in the documentation so this bug report can be
considered closed.

Note You need to log in before you can comment on or make changes to this bug.